### Class

# Vips Connection

#### Description [src]

    abstract class Vips.Connection : Vips.Object
    {
      /* No available fields */
    }

An abstract base class representing a source or sink of bytes.

It can be connected to a network socket, for example, or perhaps a Node.js stream, or to an area of memory. This allows it to support operations like JPEG loading, see for example `vips_jpegload_source()`.

Subclass to add other input sources. Use `VipsSourceCustom` and `VipsTargetCustom` to make a source or target with action signals. These classes provide action signals such as:

- `VipsSourceCustom::read` for reading data from a custom source.
- `VipsSourceCustom::seek` for seeking within a data stream.
- `VipsTargetCustom::write` for writing data to a custom target.

#### Hierarchy

#### Ancestors

- VipsObject
- GObject

#### Descendants

- VipsSource
- VipsTarget

#### Instance methods

###### vips_connection_filename

No description available.

###### vips_connection_nick

No description available.

##### Methods inherited from VipsObject (27)

Please see VipsObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Vips.Connection:descriptor

No description available.

###### Vips.Connection:filename

No description available.

##### Properties inherited from VipsObject (2)

###### Vips.Object:description

No description available.

###### Vips.Object:nickname

No description available.

#### Signals

##### Signals inherited from VipsObject (4)

###### VipsObject::close

The ::close signal is emitted once during object close. The object is dying and may not work.

###### VipsObject::postbuild

The ::postbuild signal is emitted once just after successful object construction. Return non-zero to cause object construction to fail.

###### VipsObject::postclose

The ::postclose signal is emitted once after object close. The object pointer is still valid, but nothing else.

###### VipsObject::preclose

The ::preclose signal is emitted once just before object close starts. The object is still alive.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct VipsConnectionClass {
      VipsObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: VipsObjectClass`

  No description available.